From 753c38866b5185ce399f214e05e1869abb8d2dc2 Mon Sep 17 00:00:00 2001
From: John Naylor <john.naylor@postgresql.org>
Date: Wed, 13 Mar 2024 16:13:54 +0700
Subject: [PATCH v71 5/6] Use shared memory in TID store tests

---
 src/test/modules/test_tidstore/expected/test_tidstore.out | 5 +++--
 src/test/modules/test_tidstore/sql/test_tidstore.sql      | 5 +++--
 2 files changed, 6 insertions(+), 4 deletions(-)

diff --git a/src/test/modules/test_tidstore/expected/test_tidstore.out b/src/test/modules/test_tidstore/expected/test_tidstore.out
index 4eab5d30ba..84ec4c3a64 100644
--- a/src/test/modules/test_tidstore/expected/test_tidstore.out
+++ b/src/test/modules/test_tidstore/expected/test_tidstore.out
@@ -23,8 +23,9 @@ SELECT t_ctid
     LATERAL test_lookup_tids(foo.tids)
   WHERE found ORDER BY t_ctid;
 END;
--- Test a local tdistore. A shared tidstore is created by passing true.
-SELECT test_create(false);
+-- Create a TID store in shared memory. We can't do that for for the radix tree
+-- tests, because unused static functions would raise warnings there.
+SELECT test_create(true);
  test_create 
 -------------
  
diff --git a/src/test/modules/test_tidstore/sql/test_tidstore.sql b/src/test/modules/test_tidstore/sql/test_tidstore.sql
index 7317f52058..55535d4905 100644
--- a/src/test/modules/test_tidstore/sql/test_tidstore.sql
+++ b/src/test/modules/test_tidstore/sql/test_tidstore.sql
@@ -27,8 +27,9 @@ SELECT t_ctid
   WHERE found ORDER BY t_ctid;
 END;
 
--- Test a local tdistore. A shared tidstore is created by passing true.
-SELECT test_create(false);
+-- Create a TID store in shared memory. We can't do that for for the radix tree
+-- tests, because unused static functions would raise warnings there.
+SELECT test_create(true);
 
 -- Test on empty tidstore.
 SELECT *
-- 
2.44.0

